For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Buckets

update

PUT
https://api.groundx.ai/api/v1/bucket/:bucketId
PUT
/api/v1/bucket/:bucketId
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.buckets.update(
8 bucket_id=1,
9 new_name="Project Documents",
10)
1{
2 "bucket": {
3 "bucketId": 1,
4 "name": "Project Documents"
5 }
6}
Rename a bucket.
Was this page helpful?
Previous

delete

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

bucketIdintegerRequired
The bucketId of the bucket being updated.

Request

This endpoint expects an object.
newNamestringRequired
The new name of the bucket being renamed.

Response

Bucket successfully updated
bucketobject

Errors

400
Bad Request Error
401
Unauthorized Error